
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java中的外观模式 / iVAN</title>

    <meta name="description" content="Java中的外观模式 外观模式(Facade) 外观模式的意图是:为子系统提供一个接口,便于它的使用. 解释: 简单的说,外观模式就是封装多个上层应用需要的方法,使得上层调用变得简单,为上层提供简单的 接口,是设计模式中一种比较简单的设计思想,但是,也是最常用的一种设计模式. 举例: 当 你想吃橘子的时候,你需要做那几件事呢? 1:去买橘子 2:剥橘子 3:吃橘子 这样去一步一步的调用各个方法是不是觉得很麻烦呢?所以,我们需要做的工作就是简化这些步骤,把它封装 在一个方法中实现. 实现: 下面给出实现代码的UML图.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Java中的外观模式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>外观模式（Facade）</p>
<p>外观模式的意图是：为子系统提供一个接口，便于它的使用。</p>
<p>解释：</p>
<p>简单的说，外观模式就是封装多个上层应用需要的方法，使得上层调用变得简单，为上层提供简单的 接口，是设计模式中一种比较简单的设计思想，但是，也是最常用的一种设计模式。</p>
<p>举例：</p>
<p>当 你想吃橘子的时候，你需要做那几件事呢？</p>
<p>1：去买橘子</p>
<p>2：剥橘子</p>
<p>3：吃橘子</p>
<p>这样去一步一步的调用各个方法是不是觉得很麻烦呢？所以，我们需要做的工作就是简化这些步骤，把它封装 在一个方法中实现。</p>
<p>实现：</p>
<p>下面给出实现代码的UML图。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDkzVEozUy0wLmdpZg==.jpg"></p>
<p>下面给出源代码：</p>
<p>1.oranger</p>
<pre>
package com.brucezhang.facade;  

public class oranger {  

    public void eat() {
        System.out.println("eat oranger !");
    }  

    public void buy() {
        System.out.println("buy oranger !");
    }  

    public void wash() {
        System.out.println("wash oranger !");
    }
}</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索设计模式<br />
                    ，                简单<br />
                    ，                public<br />
                    ，                模式<br />
                                    println<br />
                                    外观模式 java、中介者模式和外观模式、外观模式、java swing 外观美化、外观设计模式，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-06 22:49:42</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/public/" title="public">public</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%bc%8f/" title="模式">模式</a>, <a href="https://www.iamivan.net/tag/%e7%ae%80%e5%8d%95/" title="简单">简单</a>, <a href="https://www.iamivan.net/tag/%e8%ae%be%e8%ae%a1%e6%a8%a1%e5%bc%8f/" title="设计模式">设计模式</a>, <a href="https://www.iamivan.net/tag/println/" title="println">println</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Java中的外观模式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnROQOp.html" rel="bookmark">Java中的状态模式实例教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文链接 作者:Pankaj Kumar 译者:f0tlo &lt;1357654289@qq.com&gt; 状态模式是一种行为设计模式.适用于当对象的内在状态改变它自身的行为时. 如果想基于对象的状态来改变自身的行为,通常利用对象的状态变量及if-else条件子句来扮演针对对象的不同行为.状态模式Context(环境)和State(状态)分离的方式既保证状态与行为的联动变化,又使得这种变化是条理明晰且松耦合的. Context是包含了状态引用的类,此引用指向一个状态的具体实现.并且帮助把对状态的请求委			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKq3G5p.html" rel="bookmark">java设计模式之外观模式学习笔记&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				外观模式: 又称门面模式: 外观Facade为子系统的一组接口提供一个一致界面,使得这组子系统易于使用(通过引入一个新的外观角色降低原系统复杂度,同时降低客户类与子系统的耦合度). 图片来源: 设计模式: 可复用面向对象软件的基础. 实现 案例需求: 租房 有过自己找房租房经历的同学能够体会得到找房是件很痛苦的事, 不光要挨个小区跑而且还要跟(二)房东讨价还价. 于是后来学聪明了, 不再自己挨门挨户的磨嘴皮子, 而是直接找像链家.我爱我家这样的房屋中介, 他们手上握有一定的房源, 我们只需付给他			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p52K0nz.html" rel="bookmark">java中的工厂模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				举两个例子以快速明白Java中的工厂模式: 女娲抟土造人 话说:&quot;天地开辟,未有人民,女娲抟土为人.&quot;女娲需要用土造出一个个的人,但在女娲造出人之前,人的概念只存在于女娲的思想里面. 女娲造人,这就是简单工厂模式的应用. 首先,在这个造人的思想里面,有几个重要的角色:女娲本身.抽象的人的概念和女娲所造出的一个个具体的人. 1.)女娲是一个工厂类,也就是简单工厂模式的核心角色.         2.)具休的一个个的人,包括张三,李四等.这些人便是简单工厂模式里面的具体产品角色 3.)抽象			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M94K6vb.html" rel="bookmark">C&plus;&plus;设计模式编程中Facade外观模式的使用实例解析&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				外观模式提供了一个统一的接口,用来访问子系统的一群接口.外观定义了一个高层接口,让子系统更容易使用.外观模式让接口变得简单,简化了子系统的接口.外观模式十分简单,简而言之,就是简化你的类的接口,将一系列的复杂的过程封装到内部,对外只提供最简单的接口.结构图: 适用场景:当你要为一个复杂子系统提供一个简单接口时.子系统往往因为不断演化而变得越来越复杂.大多数模式使用时都会产生更多更小的类.这使得子系统更具可重用性,也更容易对子系统进行定制,但这也给那些不需要定制子系统的用户带来一些使用上的困难.F			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOlOL3b.html" rel="bookmark">JAVA中的命令模式实例教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				命令模式是一种行为模式,因此,它处理的是对象的行为.命令模式为系统中不同的对象提供中性化的交流媒介.根据GoF的定义,命令模式是: 通过封装一组完全不相关的对象相互之间的的交互及通讯来完成松耦合. 允许某一个对象的行为的变化是独立于其他对象的. 在企业级应用中,命令模式是非常有用的,它使得多个对象可以相互交流.如果一些对象与另一些对象直接交流,系统组件之间是紧耦合的方式.这种方式导致系统具有更高的可维护性,可扩展的灵活性变得很低.命令模式专注于提供一个调解人介于需要交流的对象之间来帮助完成对象间			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3rmgmz.html" rel="bookmark">Java中的策略模式实例教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				策略模式是一种行为模式.用于某一个具体的项目有多个可供选择的算法策略,客户端在其运行时根据不同需求决定使用某一具体算法策略. 策略模式也被称作政策模式.实现过程为,首先定义不同的算法策略,然后客户端把算法策略作为它的一个参数.使用这种模式最好的例子是Collection.sort()方法了,它使用Comparator对象作为参数.根据Comparator接口不同实现,对象会被不同的方法排序.详细介绍请看java中的排序对象. 本文例子是,完成一个简单地购物车,两种付款策略可供选择,一为信用卡,另			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJAyvwp.html" rel="bookmark">通过C&plus;&plus;程序示例理解设计模式中的外观模式&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				举一个生活中的小例子,大凡开过学或者毕过业的都会体会到这样一种郁闷:你要去 n个地方办理 n 个手续(现在大学合并后就更加麻烦,因为可能那 n 个地方都隔的比较远). 但是实际上我们需要的就是一个最后一道手续的证明而已,对于前面的手续是怎么办的.到什么地方去办理我们都不感兴趣. 实际上在软件系统开发中也经常回会遇到这样的情况,可能你实现了一些接口(模块),而这些接口(模块)都分布在几个类中(比如 A 和 B.C.D):A 中实现了一些接口,B 中实现一些接口(或者 A 代表一个独立模块,B.C.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnRKDKp.html" rel="bookmark">Java中的模板模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文链接 作者:Pankaj Kumar   译者:f0tlo &lt;1357654289@qq.com&gt; 模板模式是一种行为设计模式,它的实现思路是,创建一个桩方法,并且定义一些步骤让子类来实现.模板方法定义了一个算法的执行步骤,或者说能够提供一种默认的实现,这种实现概括一部分子类或者全部子类的共同部分. 举一个例子帮助理解,假设提供一种造房子的算法.算法的步骤就是模拟造房子的过程:建地基.建支撑,最后添加墙和窗户 – 1. Fundation,2. Pillars,3. Walls,4. Wi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWOAGz.html" rel="bookmark">实例解析设计模式中的外观模式在iOS App开发中的运用&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				外观模式(Facade),为子系统中的一组接口提供一个一致的界面,此模式定义 一个高层接口,这个接口使得这一子系统更加容易使用. 下面给大家展示一下类的结构图,想必大家一看就明白了: 其实这个模式中,没有类与类之间的继承关系,只是进行了简单的类引用,统一了对外的接口而已.看起来是不是很简单?废话不多说了,下面简单向大家展示一下代码吧! 注意:本文所有代码均在ARC环境下编译通过. SubSystemOne类接口 复制代码 代码如下: #import &lt;Foundation/Foundation.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo38Eb.html" rel="bookmark" class="title">设计稿标注首屏线的确定始末</a>
					<div>
						这是内部的一个邮件记录,分享出来听下业内同行的声音. 事情是这样的.. == 先是 A 推荐了白鸦的推到内部群: &quot;设计师们一定要养成一个习惯:无论是原型设计还是视觉设计,一定要标注一下首屏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPDoyM.html" rel="bookmark" class="title">Servlet传送对象给Applet使用</a>
					<div>
						需求是这样的:他想通过页面上一个Applet呼叫一个服务器Servlet,而从Servlet产生一个Java对象再传给另外一个Applet,怎么样让Servlet实时地把对象传给Applet这是一个问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0W2jDb.html" rel="bookmark" class="title">使用Word2003编辑图片</a>
					<div>
						  说到处理图片,大家首先想到也许就是Photoshop了,但如果仅仅是对图片进行剪裁.调节亮度.添加艺术字等简单处理的话,其实用办公软件Word2003也完全可以胜任.下面我们就来看看在Word中如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8002b.html" rel="bookmark" class="title">酷狗音乐盒2015音乐格式怎么修改</a>
					<div>
						  1.打开酷狗音乐盒,可以在左侧看到Win8的标记(更多工具). 2.点击更多工具,打开工具面板. 3.在工具面板,点击快速下载&quot;格式转换&quot;,并且打开&quot;格式转换&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oLoRb.html" rel="bookmark" class="title">迅雷快盘关闭个人储存功能</a>
					<div>
						  快盘还能用吗 随着网络云盘整顿与调整,一个个网盘倒下.前天新浪微盘宣布6月30日关闭个人存储服务,今天,迅雷快盘也要与大家说再见了. 今天早些时候,迅雷快盘发布公告:很遗憾宣布一个消息:为了配合监 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7X3OM.html" rel="bookmark" class="title">电脑开机后显示因以下文件的损坏或者丢失怎么办</a>
					<div>
						  电脑开机后黑屏,显示&quot;因以下文件的损坏或者丢失,windows无法启动:windowssystem32configsystem.可通过使用原始启动软盘或CD-ROM来启动windows安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGZo1p.html" rel="bookmark" class="title">盘点｜10条最有用的深度学习教程资源（附教程链接）</a>
					<div>
						本文来源于Github blog BY omtcyfz 译者:赫鑫宇 郭昕 今天介绍一些深度学习的资源干货!个人认为这些资源对于那些刚刚进入机器学习领域准备摸索一番的小白十分有帮助.同时如果你想进一步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLG3kb.html" rel="bookmark" class="title">智能手表，能否成为苹果的二次革命？</a>
					<div>
						     据&lt;华尔街日报&gt;消息,苹果正在测试一种类似手表的产品设计,这个产品可以实现部分智能手机的功能.此消息一出,尤其是源自&lt;华尔街日报&gt;这个半苹果官方报纸,立即引起业界广泛 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boR2Bgz.html" rel="bookmark" class="title">js constructor的实际作用分析&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: &lt;script&gt; Function.prototype.createInstance = function(){ var T = function(){}; T.pr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NGWJM.html" rel="bookmark" class="title">IOS中调用系统拨打电话与发送短信</a>
					<div>
						IOS中调用系统拨打电话发送短信 一.调用打电话界面 [[UIApplication sharedApplication] openURL:[NSURL URLWithString:[NSString ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwgvrp.html" rel="bookmark" class="title">i&equals;i&plus;&plus;问题</a>
					<div>
						#include &lt;iostream&gt; using namespace std; int main() { int i=2; i=i++; cout&lt;&lt;i&lt;&lt;end ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3a28z.html" rel="bookmark" class="title">将 ASP&period;NET MVC3 Razor 项目部署到虚拟主机中</a>
					<div>
						原文:http://www.cnblogs.com/taven/archive/2011/08/14/2138077.html 国内很多网站空间都只支持.NET 2.0 和 .NET 3.0 3.5, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4Ngn8M.html" rel="bookmark" class="title">MySQL5&period;6&period;27 Release Note解读（innodb及复制模块）</a>
					<div>
						新功能 问题描述(Bug #18871046, Bug #72811): 主要为了解决一个比较&quot;古老&quot;的MySQL在NUMA架构下的&quot;swap insanity&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3Qx5z.html" rel="bookmark" class="title">ole-如何从Access中OLEObject字段中导入和导出文件？</a>
					<div>
						问题描述 如何从Access中OLEObject字段中导入和导出文件? 情形: 已 经有一个Access2010版的数据库,有多个表,每个表又有上千个记录,每个记录对应着一个Html文件,html文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwkA5p.html" rel="bookmark" class="title">内建的builtin InnoDB&comma;子查询阻塞更新</a>
					<div>
						奇龙在做db变更的时候,update被阻塞: root@127.0.0.1 : (none) 23:51:35&gt; show variables like '%ignore_builtin%';  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3BQEz.html" rel="bookmark" class="title">修复duilib CEditUI控件和CWebBrowserUI控件中按Tab键无法切换焦点的bug</a>
					<div>
						转载请说明原出处,谢谢~~:http://blog.csdn.net/zhuhongshu/article/details/41556615         在duilib中,按tab键会让焦点在Bu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqROLkp.html" rel="bookmark" class="title">Redux异步方案选型</a>
					<div>
						作为react社区最热门的状态管理框架,相信很多人都准备甚至正在使用Redux. 由于Redux的理念非常精简,没有追求大而全,这份架构上的优雅却在某种程度上伤害了使用体验:不能开箱即用,甚至是异步这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWnmRz.html" rel="bookmark" class="title">大神们，我的yum不能用了，这是怎么回事啊，帮忙解决下？</a>
					<div>
						问题描述 大神们,我的yum不能用了,这是怎么回事啊,帮忙解决下? 10C yum listyum search gccyum install gcc等这些设计yum的命令都会出现问题:Could n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAgm7p.html" rel="bookmark" class="title">中国油企该如何云计算</a>
					<div>
						对于戴尔这样的公司,绝大多数人都不应该感到陌 生,毕竟我们听到过它的很多传奇故事.不过,很多人对于戴尔的认知也仅限于PC.显示器.服务器.存储等一些非常具体的产品,而不是出于整体,更不知道戴 尔与中国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmQAQM.html" rel="bookmark" class="title">世纪并购与3000人罢工背后：谁在抛弃东莞诺基亚员工</a>
					<div>
						编者按:2013年11月19日,由于认为厂方推出的新举措意在迫使主动离职,诺基亚东莞工厂的数百名员工停工抗议,停工规模一度扩大3000人.这一风波震动业界,此后事态发展如何?近日,腾讯科技前往东莞进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZrPWM.html" rel="bookmark" class="title">异地跨行转账怎么转手续费最低</a>
					<div>
						长沙市民谭女士:我女儿大学毕业后在南京找了份http://www.aliyun.com/zixun/aggregation/6918.html&quot;&gt;工作,今年打算在那边买房子成家,家里想 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1vWoz.html" rel="bookmark" class="title">数据管理-实时监控- 操作列表显示查看线程栈功能（linux系统）</a>
					<div>
						问题现象 解决方法: 以CentOS 6 Linux 为例,运行命令: yum -y install pstack 安装完成后,重新打开页面 参考 查看线程栈					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAxRjb.html" rel="bookmark" class="title">求GDAL的完整dll vs2010版本</a>
					<div>
						问题描述 求GDAL的完整dllvs2010版本,部署在iis是没有问题的,跪求,目前有个版本是调试没问题,但是项目部署到iis就出现错误 解决方案					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgRB5M.html" rel="bookmark" class="title">android 百度地图 定位失败</a>
					<div>
						问题描述 android 百度地图 定位失败 今天朋友写了一个关于百度定位的示例 在他哪里调试的时候好好的 为什么发给我导入工程时定位总是失败 .以为是K的问题 从新申请个K还是不得行. 提示错误 i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqPA6b.html" rel="bookmark" class="title">新手求助，关于函数返回值无效</a>
					<div>
						问题描述 定义了一个函数publicList&lt;string&gt;FindFile(stringsSourcePath)返回前返回值是目标结果.但是在调用的时候List&lt;String&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmB0ZBz.html" rel="bookmark" class="title">PostgreSQL 10&period;0 preview 流复制增强 - 支持可配置的wal send max size</a>
					<div>
						标签 PostgreSQL , 10.0 , 流复制增强 , max wal send size 背景 以前的版本,wal sender进程使用流复制协议,将WAL信息发送给下游的wal receiv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnavqp.html" rel="bookmark" class="title">报告称CIO有&OpenCurlyDoubleQuote;绿色&rdquo;概念但缺乏行动</a>
					<div>
						尽管大部分IT采购和运营官们对于那些对环境因素要求不高和节能型的产品都很有购买兴趣, 但是大部1788.html&quot;&gt;分公司还没有在其IT采购策略中采取正规的绿色标准.费雷斯特公司(ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEmQ1z.html" rel="bookmark" class="title">javascript中setAttribute兼容性用法分析&lowbar;javascript技巧</a>
					<div>
						本文实例分析了javascript中setAttribute兼容性用法.分享给大家供大家参考,具体如下: 1:常规属性建议使用 node.XXXX. 2:自定义属性建议使用node.getAttrib ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNLAep.html" rel="bookmark" class="title">android 屏幕亮度调节方法详解&lowbar;Android</a>
					<div>
						屏幕亮度自动调节:主要是从Sensor分析之中分离出来分析LIGHT 光线感应器,因此就分析一下自动调节屏幕亮度(手机随着光线的强度自我调节,也就是在亮的光线下屏幕自动调亮一些,暗的时候就自动调暗一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmvJLp.html" rel="bookmark" class="title">Java线程之守护线程（Daemon）用法实例&lowbar;java</a>
					<div>
						本文实例讲述了Java线程之守护线程(Daemon)用法.分享给大家供大家参考.具体如下: 守护线程(Daemon) Java有两种Thread:&quot;守护线程Daemon&quot;与&quo ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
